import java.awt.FlowLayout;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;

import javax.swing.JButton;
import javax.swing.JFrame;

public class MyFrame extends JFrame
{
    private JButton b1;
    private JButton b2;

    private class MyActionListener implements ActionListener
    {

        @Override
        public void actionPerformed(ActionEvent e)
        {
            Object source = e.getSource();
            
            if(source == b1)
            {
                System.out.println("You saved the first half!");
            }
            else
            {
                System.out.println("You did not save the first half");
            }
            
        }
        
    }
    
    public MyFrame(String title)
    {
        this.setSize(300, 400);
        this.setVisible(true);
        this.setLocationRelativeTo(null);

        FlowLayout layout = new FlowLayout();
        this.setLayout(layout);

        this.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);

        this.b1 = new JButton("Save first half");
        this.b2 = new JButton("Save second half");

        this.add(b1);
        this.add(b2);
        
        MyActionListener listener = new MyActionListener();
        
        this.b1.addActionListener(listener);
        this.b2.addActionListener(listener);

        this.pack();
    }

    public static void main(String[] args)
    {
        MyFrame frame = new MyFrame("My Frame");
        MyFrame frame2 = new MyFrame("My Frame");


    }

}
